> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Browse Profile Points

> A `GET` to the `/profiles/{profileId}/points` endpoint allows your application to retrieve all Points records associated with a Profile.



## OpenAPI

````yaml get /v3/profiles/{profile}/points
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/profiles/{profile}/points:
    get:
      tags:
        - Profile Point
      summary: Browse Profile Points
      description: >-
        A `GET` to the `/profiles/{profileId}/points` endpoint allows your
        application to retrieve all Points records associated with a Profile.
      operationId: profiles.points.index
      parameters:
        - name: profile
          in: path
          required: true
          description: The profile ID
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Array of `Point`
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Point'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
components:
  schemas:
    Point:
      type: object
      properties:
        id:
          type: integer
        profile_id:
          type: string
        linked_profile_id:
          type:
            - string
            - 'null'
        value_initial:
          type: string
        value_remaining:
          type: string
        value_initial_currency:
          type: number
        value_remaining_currency:
          type: number
        issued_at:
          type: string
        accrued_at:
          type:
            - string
            - 'null'
        expires_at:
          type:
            - string
            - 'null'
        status:
          type: string
        definition:
          $ref: '#/components/schemas/PointDefinition'
        created_at:
          type: string
        updated_at:
          type: string
        source_type:
          type:
            - string
            - 'null'
        source:
          type: 'null'
        rate:
          anyOf:
            - $ref: '#/components/schemas/Rate'
            - type: 'null'
        description:
          type:
            - string
            - 'null'
        meta:
          type:
            - array
            - 'null'
          items: {}
      required:
        - id
        - profile_id
        - linked_profile_id
        - value_initial
        - value_remaining
        - value_initial_currency
        - value_remaining_currency
        - issued_at
        - accrued_at
        - expires_at
        - status
        - definition
        - created_at
        - updated_at
        - source_type
        - source
        - rate
        - description
        - meta
      title: Point
    PointDefinition:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        handle:
          type: string
        region_id:
          type:
            - integer
            - 'null'
        region:
          type:
            - object
            - 'null'
          properties:
            id:
              type: integer
            name:
              type: string
            handle:
              type: string
          required:
            - id
            - name
            - handle
        currency:
          type:
            - string
            - 'null'
        description:
          type:
            - string
            - 'null'
        notes:
          type:
            - string
            - 'null'
        is_reassignable:
          type: boolean
        issue_period:
          type:
            - integer
            - 'null'
        issue_period_type:
          type:
            - string
            - 'null'
        issue_absolute_expiry:
          type:
            - string
            - 'null'
        tags:
          type: array
          items:
            $ref: '#/components/schemas/Tag'
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - name
        - handle
        - region_id
        - region
        - currency
        - description
        - notes
        - is_reassignable
        - issue_period
        - issue_period_type
        - issue_absolute_expiry
        - tags
        - created_at
        - updated_at
      title: PointDefinition
    Rate:
      type: object
      properties:
        id:
          type: integer
        handle:
          type: string
        type:
          type: string
        location:
          type:
            - string
            - 'null'
        code:
          type:
            - string
            - 'null'
        name:
          type:
            - string
            - 'null'
        rate:
          type: string
        is_default:
          type: boolean
        is_archived:
          type:
            - boolean
            - 'null'
        region_id:
          type:
            - integer
            - 'null'
        region:
          type:
            - object
            - 'null'
          properties:
            id:
              type: integer
            name:
              type: string
            handle:
              type: string
          required:
            - id
            - name
            - handle
        location_id:
          type:
            - integer
            - 'null'
        location_object:
          type:
            - object
            - 'null'
          properties:
            id:
              type: string
            name:
              type: string
            handle:
              type: string
          required:
            - id
            - name
            - handle
        country_iso_2:
          type:
            - string
            - 'null'
        profile_conditions:
          type:
            - array
            - 'null'
          items: {}
        product_conditions:
          type:
            - array
            - 'null'
          items: {}
        start_time:
          type:
            - string
            - 'null'
        end_time:
          type:
            - string
            - 'null'
        issue_period:
          type:
            - integer
            - 'null'
        issue_period_type:
          type:
            - string
            - 'null'
        issue_absolute_expiry:
          type:
            - string
            - 'null'
        earn_instructions:
          type:
            - string
            - 'null'
        internal_notes:
          type:
            - string
            - 'null'
        is_published:
          type: boolean
        priority:
          type:
            - integer
            - 'null'
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - handle
        - type
        - location
        - code
        - name
        - rate
        - is_default
        - is_archived
        - region_id
        - region
        - location_id
        - location_object
        - country_iso_2
        - profile_conditions
        - product_conditions
        - start_time
        - end_time
        - issue_period
        - issue_period_type
        - issue_absolute_expiry
        - earn_instructions
        - internal_notes
        - is_published
        - priority
        - created_at
        - updated_at
      title: Rate
    Tag:
      type: string
      title: Tag
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message

````